SDL_SetGamepadSensorEnabled(3)

NAME
SDL_SetGamepadSensorEnabled - Set whether data reporting for a gamepad sensor is enabled.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetGamepadSensorEnabled(SDL_Gamepad *gamepad, SDL_SensorType type, SDL_bool enabled);

FUNCTION PARAMETERS

gamepad
    The gamepad to update

type
    The type of sensor to enable/disable

enabled
    Whether data reporting should be enabled

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GamepadHasSensor(3), SDL_GamepadSensorEnabled(3)